lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "aftalk/version"

Gem::Specification.new do |spec|
  spec.name          = "aftalk"
  spec.version       = AfTalk::VERSION
  spec.email         = ["techadmin@thriveglobal.com"]
  spec.summary       = "API wrapper for Africa's Talking services"
  spec.description   = <<-DESC
    A Ruby wrapper for Africa's Talking telephony services (https://africastalking.com)
  DESC
  spec.homepage      = "https://github.com/thriveglobal/aftalk"
  spec.license       = "MIT"
  spec.authors       = ["Michael Hoffman"]
  spec.files         = `git ls-files -z`.split("\x0")
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "byebug", "~> 9.1"
  spec.add_development_dependency "rake", "~> 12"
  spec.add_development_dependency "rspec", "~> 3.7"
  spec.add_development_dependency "rspec_junit_formatter", "~> 0.3"
  spec.add_development_dependency "vcr", "~> 3.0"

  spec.add_dependency "dotenv", "~>2.2"
  spec.add_dependency "faraday", "~> 0.13"
  spec.add_dependency "faraday_middleware", "~> 0.12"
end
