require "spec_helper"

describe AfTalk do
  describe "#send_message" do
    before(:each) { reset_config }

    let(:options) do
      { to: "+14125554563", message: "Hello World!", foo: "bar" }
    end

    it "produces a send message response object" do
      VCR.use_cassette("aftalk/messaging/send_message") do
        response = described_class.send_message(options)
        recipient = response.recipients.first

        expect(response.error_message).to be_nil
        expect(response.status).to eq(201)
        expect(response.message).to be

        expect(recipient.cost).to be
        expect(recipient.message_id).to be
        expect(recipient.number).to eq(options[:to])
        expect(recipient.status).to eq("Success")
      end
    end
  end
end
