require "rspec"
require "aftalk"
require "vcr"
require "byebug"

current_path = File.expand_path("../", __FILE__)
Dir["#{current_path}/support/**/*.rb"].each { |file| require file }

VCR.configure do |config|
  config.cassette_library_dir = "spec/support/vcr_cassettes"
  config.hook_into :faraday
  config.configure_rspec_metadata!
  config.allow_http_connections_when_no_cassette = false
  config.default_cassette_options = { record: :new_episodes }
end

RSpec.configure do |config|
  config.before :each do
    AfTalk::Connection.clear
  end
end
