require "spec_helper"

describe AfTalk::Response do
  describe ".new" do
    subject { described_class.new(response) }

    context "when the response code is a success code" do
      let(:response) { double(status: 200, body: { foo: "bar" }) }

      it "sets the status and the body" do
        expect(subject.status).to eq(200)
        expect(subject.body).to eq(foo: "bar")
        expect(subject.error_message).to be_nil
      end
    end

    context "when the response code is a failure code" do
      let(:response) { double(status: 400, body: "Something went wrong.") }

      it "sets the status, the body, and the error message" do
        expect(subject.status).to eq(400)
        expect(subject.body).to eq(error: "Something went wrong.")
        expect(subject.error_message).to eq("Something went wrong.")
      end
    end
  end
end
