require "spec_helper"

describe AfTalk::FetchMessagesResponse do
  describe ".new" do
    subject { described_class.new(response) }

    context "when the response is a success" do
      let(:response) { double(body: data, status: 200) }
      let(:data) do
        {
          SMSMessageData: {
            Messages: [message_data],
          },
        }
      end
      let(:message_data) { double("MessageData") }
      let(:message_info) { double("MessageInfo") }

      before(:each) do
        allow(AfTalk::SmsMessageInfo).to receive(:new).
          with(message_data).
          and_return(message_info)
      end

      it "sets messages" do
        expect(subject).to be_kind_of(AfTalk::Response)
        expect(subject.messages).to eq([message_info])
      end
    end
  end
end
